## org.eclipse.datatools.sqltools.sqleditor.plan
Class GroupPlanSupportRunnable

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.datatools.sqltools.plan.PlanSupportRunnable
                      org.eclipse.datatools.sqltools.sqleditor.plan.GroupPlanSupportRunnable

All Implemented Interfaces:
  java.lang.Comparable, org.eclipse.core.runtime.IAdaptable

    public class GroupPlanSupportRunnable

extends PlanSupportRunnable

Support explaining a group of SQL statements in SQL Editor.

Author:
  Hui Cao, Dafan Yang

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Constructor Summary
`GroupPlanSupportRunnable(PlanRequest request, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier, java.lang.Runnable postRun)` Constructs a runnable to execute a group of SQL statements.

Method Summary
`void` `run()`

Methods inherited from class org.eclipse.datatools.sqltools.plan.PlanSupportRunnable
`getConnection, getRequest, setConnection, setRequest`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### GroupPlanSupportRunnable

    public GroupPlanSupportRunnable(PlanRequest request,
                                    org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier,
                                    java.lang.Runnable postRun)

  Constructs a runnable to execute a group of SQL statements.

  Parameters:
    `request` - the plan request
    `databaseIdentifier` - the database identifier
    `postRun` - the runnable which will be invoked at last

Method Detail

### run

    public void run()